"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const baseQuery = 'select Id, Name, Division, Street, City, State, PostalCode, Country, Latitude, Longitude, GeocodeAccuracy, Address, Phone, Fax, PrimaryContact, DefaultLocaleSidKey, TimeZoneSidKey, LanguageLocaleKey, ReceivesInfoEmails, ReceivesAdminInfoEmails, PreferencesRequireOpportunityProducts, PreferencesConsentManagementEnabled, PreferencesIndividualAutoCreateEnabled, PreferencesAutoSelectIndividualOnMerge, PreferencesLightningLoginEnabled, PreferencesOnlyLLPermUserAllowed, FiscalYearStartMonth, UsesStartDateAsFiscalYearName, DefaultAccountAccess, DefaultContactAccess, DefaultOpportunityAccess, DefaultLeadAccess, DefaultCaseAccess, DefaultCalendarAccess, DefaultPricebookAccess, DefaultCampaignAccess, SystemModstamp, ComplianceBccEmail, UiSkin, SignupCountryIsoCode, TrialExpirationDate, NumKnowledgeService, OrganizationType, NamespacePrefix, InstanceName, IsSandbox, WebToCaseDefaultOrigin, MonthlyPageViewsUsed, MonthlyPageViewsEntitlement, IsReadOnly, CreatedDate, CreatedById, LastModifiedDate, LastModifiedById from Organization';
async function select(conn) {
    const queryResult = await conn.query(baseQuery);
    return queryResult;
}
exports.select = select;
//# sourceMappingURL=organizationSelector.js.map