"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const baseQuery = 'select Id, OwnerId, IsDeleted, Name, CreatedDate, CreatedById, LastModifiedDate, LastModifiedById, SystemModstamp, LastActivityDate'
    + ', rstk__externalid__c, rstk__formula_extid__c, rstk__formula_searchindex__c, rstk__searchindex__c, rstk__syuser_lastsalesdiv__c'
    + ', rstk__syusr_allowlaborbooking__c, rstk__syusr_allowqtybooking__c, rstk__syusr_apprvid__c, rstk__syusr_authid__c, rstk__syusr_clockno__c'
    + ', rstk__syusr_clockno_txt__c, rstk__syusr_csvdelimiter__c, rstk__syusr_customer__c, rstk__syusr_dfltcmpno__c, rstk__syusr_dfltdiv__c'
    + ', rstk__syusr_dirmtlreqind__c, rstk__syusr_empl_email__c, rstk__syusr_employee__c, rstk__syusr_empltype__c, rstk__syusr_explaboronly__c'
    + ', rstk__syusr_expsfustartopt__c, rstk__syusr_finapprvind__c, rstk__syusr_hrrate__c, rstk__syusr_indmtlreqind__c, rstk__syusr_itemdescok__c'
    + ', rstk__syusr_labgrd__c, rstk__syusr_laboronly__c, rstk__syusr_laborsuper__c, rstk__syusr_lastcmpno__c, rstk__syusr_lastdiv__c'
    + ', rstk__syusr_lastsalesdiv__c, rstk__syusr_lastsite__c, rstk__syusr_licreq__c, rstk__syusr_limiteddiv__c, rstk__syusr_mgrapprvid__c'
    + ', rstk__syusr_mgrauthid__c, rstk__syusr_multicompany__c, rstk__syusr_multidiv__c, rstk__syusr_multisite__c, rstk__syusr_noconfigexport__c'
    + ', rstk__syusr_noconfigqtyoh__c, rstk__syusr_nonfinapprvmtlind__c, rstk__syusr_nonfinapprvsrvind__c, rstk__syusr_obsolete__c, rstk__syusr_ohdfrngind__c'
    + ', rstk__syusr_ohdlabind__c, rstk__syusr_opayaccess__c, rstk__syusr_opaycanauth__c, rstk__syusr_opaycancelauth__c, rstk__syusr_opaycancredit__c'
    + ', rstk__syusr_opaycanpay__c, rstk__syusr_opaycanrev__c, rstk__syusr_opaycanrevshipped__c, rstk__syusr_opayinvaccess__c, rstk__syusr_opaylimited__c'
    + ', rstk__syusr_opayovrgateway__c, rstk__syusr_orgid__c, rstk__syusr_phone__c, rstk__syusr_powwowid__c, rstk__syusr_pricelog__c'
    + ', rstk__syusr_respbuyerind__c, rstk__syusr_respengind__c, rstk__syusr_respinvind__c, rstk__syusr_rstkdebug__c, rstk__syusr_salesdiv__c'
    + ', rstk__syusr_servicereqind__c, rstk__syusr_sfrootscan__c, rstk__syusr_sfustartopt__c, rstk__syusr_shift__c, rstk__syusr_stdrootscan__c'
    + ', rstk__syusr_superauth__c, rstk__syusr_syprinter__c, rstk__syusr_useexportcust__c, rstk__syusr_usermobileprofile__c, rstk__syusr_usrno__c'
    + ', rstk__syusr_usrno_txt__c, rstk__syusr_vendno__c, rstk__triggeroptions__c'
    + ' from rstk__syusr__c';
async function selectById(id, conn) {
    return await conn.query(baseQuery + ' where Id = \'' + id + '\'');
}
exports.selectById = selectById;
async function selectByExternalId(externalId, conn) {
    return await conn.query(baseQuery + ' where rstk__externalid__c = \'' + externalId + '\'');
}
exports.selectByExternalId = selectByExternalId;
async function selectByUser(userRecord, conn) {
    return await conn.query(baseQuery + ' where rstk__syusr_employee__c = \'' + userRecord.Id + '\'');
}
exports.selectByUser = selectByUser;
//# sourceMappingURL=rstk__syusrsSelector.js.map