import { SObject } from './sobject';
export declare function sobjectType(): string;
export interface RstkSyusr extends SObject {
    Id: string;
    OwnerId: string;
    IsDeleted: boolean;
    Name: string;
    CreatedDate: string;
    CreatedById: string;
    LastModifiedDate: string;
    LastModifiedById: string;
    SystemModstamp: string;
    LastActivityDate: string;
    rstk__externalid__c: string;
    rstk__formula_extid__c: string;
    rstk__formula_searchindex__c: string;
    rstk__searchindex__c: string;
    rstk__syuser_lastsalesdiv__c: string;
    rstk__syusr_allowlaborbooking__c: boolean;
    rstk__syusr_allowqtybooking__c: boolean;
    rstk__syusr_apprvid__c: string;
    rstk__syusr_authid__c: string;
    rstk__syusr_clockno__c: number;
    rstk__syusr_clockno_txt__c: string;
    rstk__syusr_csvdelimiter__c: string;
    rstk__syusr_customer__c: string;
    rstk__syusr_dfltcmpno__c: string;
    rstk__syusr_dfltdiv__c: string;
    rstk__syusr_dirmtlreqind__c: boolean;
    rstk__syusr_empl_email__c: string;
    rstk__syusr_employee__c: string;
    rstk__syusr_empltype__c: string;
    rstk__syusr_explaboronly__c: boolean;
    rstk__syusr_expsfustartopt__c: string;
    rstk__syusr_finapprvind__c: boolean;
    rstk__syusr_hrrate__c: number;
    rstk__syusr_indmtlreqind__c: boolean;
    rstk__syusr_itemdescok__c: boolean;
    rstk__syusr_labgrd__c: string;
    rstk__syusr_laboronly__c: boolean;
    rstk__syusr_laborsuper__c: boolean;
    rstk__syusr_lastcmpno__c: string;
    rstk__syusr_lastdiv__c: string;
    rstk__syusr_lastsalesdiv__c: string;
    rstk__syusr_lastsite__c: string;
    rstk__syusr_licreq__c: boolean;
    rstk__syusr_limiteddiv__c: boolean;
    rstk__syusr_mgrapprvid__c: string;
    rstk__syusr_mgrauthid__c: string;
    rstk__syusr_multicompany__c: boolean;
    rstk__syusr_multidiv__c: boolean;
    rstk__syusr_multisite__c: boolean;
    rstk__syusr_noconfigexport__c: boolean;
    rstk__syusr_noconfigqtyoh__c: boolean;
    rstk__syusr_nonfinapprvmtlind__c: boolean;
    rstk__syusr_nonfinapprvsrvind__c: boolean;
    rstk__syusr_obsolete__c: boolean;
    rstk__syusr_ohdfrngind__c: boolean;
    rstk__syusr_ohdlabind__c: boolean;
    rstk__syusr_opayaccess__c: boolean;
    rstk__syusr_opaycanauth__c: boolean;
    rstk__syusr_opaycancelauth__c: boolean;
    rstk__syusr_opaycancredit__c: boolean;
    rstk__syusr_opaycanpay__c: boolean;
    rstk__syusr_opaycanrev__c: boolean;
    rstk__syusr_opaycanrevshipped__c: boolean;
    rstk__syusr_opayinvaccess__c: boolean;
    rstk__syusr_opaylimited__c: boolean;
    rstk__syusr_opayovrgateway__c: boolean;
    rstk__syusr_orgid__c: string;
    rstk__syusr_phone__c: string;
    rstk__syusr_powwowid__c: string;
    rstk__syusr_pricelog__c: string;
    rstk__syusr_respbuyerind__c: boolean;
    rstk__syusr_respengind__c: boolean;
    rstk__syusr_respinvind__c: boolean;
    rstk__syusr_rstkdebug__c: boolean;
    rstk__syusr_salesdiv__c: string;
    rstk__syusr_servicereqind__c: boolean;
    rstk__syusr_sfrootscan__c: boolean;
    rstk__syusr_sfustartopt__c: string;
    rstk__syusr_shift__c: number;
    rstk__syusr_stdrootscan__c: boolean;
    rstk__syusr_superauth__c: boolean;
    rstk__syusr_syprinter__c: string;
    rstk__syusr_useexportcust__c: boolean;
    rstk__syusr_usermobileprofile__c: string;
    rstk__syusr_usrno__c: number;
    rstk__syusr_usrno_txt__c: string;
    rstk__syusr_vendno__c: string;
    rstk__triggeroptions__c: string;
}
