"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const baseQuery = 'select Id, OwnerId, IsDeleted, Name, CreatedDate, CreatedById, LastModifiedDate, LastModifiedById, SystemModstamp'
    + ', LastActivityDate, rstk__externalid__c, rstk__formula_extid__c, rstk__formula_searchindex__c, rstk__rtlabgrd_descr__c'
    + ', rstk__rtlabgrd_div__c, rstk__rtlabgrd_hrrate__c, rstk__rtlabgrd_hrratesim__c, rstk__rtlabgrd_hrratesimind_pl__c'
    + ', rstk__rtlabgrd_labgrd__c, rstk__rtlabgrd_price__c, rstk__rtlabgrd_simstdsetdate__c, rstk__searchindex__c, rstk__triggeroptions__c'
    + ' from rstk__rtlabgrd__c';
async function selectById(id, conn) {
    return await conn.query(baseQuery + ' where Id = \'' + id + '\'');
}
exports.selectById = selectById;
async function selectByExternalId(externalId, conn) {
    return await conn.query(baseQuery + ' where rstk__externalid__c = \'' + externalId + '\'');
}
exports.selectByExternalId = selectByExternalId;
async function selectByDivison(divison, conn) {
    return await conn.query(baseQuery + ' where rstk__rtlabgrd_div__c = \'' + divison.Id + '\'');
}
exports.selectByDivison = selectByDivison;
//# sourceMappingURL=rstk__rtlabgrdsSelector.js.map