"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const baseQuery = 'select Id, OwnerId, IsDeleted, Name, CreatedDate, CreatedById, LastModifiedDate, LastModifiedById, SystemModstamp, LastActivityDate'
    + ', rstk__externalid__c, rstk__formula_extid__c, rstk__formula_searchindex__c, rstk__searchindex__c, rstk__sycmp_apclracct__c'
    + ', rstk__sycmp_arapbypass__c, rstk__sycmp_buydiv__c, rstk__sycmp_cmpno__c, rstk__sycmp_currautoupdate__c, rstk__sycmp_currmethod__c'
    + ', rstk__sycmp_customfieldtabname__c, rstk__sycmp_descr__c, rstk__sycmp_dim1source__c, rstk__sycmp_dim2source__c, rstk__sycmp_dim3source__c'
    + ', rstk__sycmp_dim4source__c, rstk__sycmp_dim5source__c, rstk__sycmp_dim6source__c, rstk__sycmp_dim7source__c, rstk__sycmp_dim8source__c'
    + ', rstk__sycmp_divdivclracct__c, rstk__sycmp_engdiv__c, rstk__sycmp_engdivind__c, rstk__sycmp_ff_company__c, rstk__sycmp_fifoact__c'
    + ', rstk__sycmp_homecurr__c, rstk__sycmp_intlogourl__c, rstk__sycmp_invrcptqtyvaracct__c, rstk__sycmp_logourl__c, rstk__sycmp_logscaleopt__c'
    + ', rstk__sycmp_mfgacctdiv__c, rstk__sycmp_numdims__c, rstk__sycmp_poinvpricevaracct__c, rstk__sycmp_qbcompany__c, rstk__sycmp_qbconsumerkey__c'
    + ', rstk__sycmp_qbconsumerkeysecret__c, rstk__sycmp_qbprimecmp__c, rstk__sycmp_qbtoken__c, rstk__sycmp_qbtokensecret__c'
    + ', rstk__sycmp_rcptexchratevaracct__c, rstk__sycmp_revinv__c, rstk__sycmp_salesdiv__c, rstk__sycmp_utcoffset__c, rstk__sycmp_wdcostcenterdim__c'
    + ', rstk__sycmp_wdrevcatdim__c, rstk__sycmp_wdspendcatdim__c, rstk__sycmp_wdworktagdim__c, rstk__triggeroptions__c'
    + ' from rstk__sycmp__c';
async function selectById(id, conn) {
    return await conn.query(baseQuery + ' where Id = \'' + id + '\'');
}
exports.selectById = selectById;
async function selectByExternalId(externalId, conn) {
    return await conn.query(baseQuery + ' where rstk__externalid__c = \'' + externalId + '\'');
}
exports.selectByExternalId = selectByExternalId;
async function selectDefault(conn) {
    return await conn.query(baseQuery + ' order by createddate limit 1');
}
exports.selectDefault = selectDefault;
//# sourceMappingURL=rstk__sycmpsSelector.js.map