"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const orgSelector = require("./organizationSelector");
const baseQuery = 'select id, name, username, email from user';
async function selectById(id, conn) {
    return await conn.query(baseQuery + ' where Id = \'' + id + '\'');
}
exports.selectById = selectById;
async function selectByUsername(username, conn) {
    return await conn.query(baseQuery + ' where username = \'' + username + '\'');
}
exports.selectByUsername = selectByUsername;
async function selectAutomatedProcessUser(conn) {
    // query for the Organization record
    const thisOrganizationQueryResult = await orgSelector.select(conn);
    // query for the Automated Process user record
    return await selectByUsername('autoProc@' + thisOrganizationQueryResult.records[0].Id, conn);
}
exports.selectAutomatedProcessUser = selectAutomatedProcessUser;
//# sourceMappingURL=usersSelector.js.map